Subject: Re: [AAA-DOCTORS] Fwd: [Technical Errata Reported] RFC6733 (4887)

From: <[email-masked]>
Date: Tue, 3 Jan 2017 10:38:58 +0000

This one is correct. It was missed. But, as said in the report, it is just an omission in this part of the document, and it is clarified in the section 6.4:

   The Origin-Realm AVP (AVP Code 296) is of type DiameterIdentity.
   This AVP contains the Realm of the originator of any Diameter message
   and MUST be present in all messages.

Regards,

Lionel

De : AAA-DOCTORS [mailto:[email-masked]] De la part de Benoit Claise
Envoyé : lundi 19 décembre 2016 11:51
À : [email-masked]; [email-masked]
Objet : [AAA-DOCTORS] Fwd: [Technical Errata Reported] RFC6733 (4887)

As you can guess, today is errata day...

Regards, Benoit

-------- Forwarded Message --------
Subject:

[Technical Errata Reported] RFC6733 (4887)

Date:

Tue, 13 Dec 2016 12:09:45 -0800

From:

RFC Errata System <[email-masked]><mailto:[email-masked]>

To:

[email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>

CC:

[email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>

The following errata report has been submitted for RFC6733,

"Diameter Base Protocol".

--------------------------------------

You may review the report below and at:

http://www.rfc-editor.org/errata_search.php?rfc=6733&eid=4887

--------------------------------------

Type: Technical

Reported by: Mikhail Zaytsev <[email-masked]><mailto:[email-masked]>

Section: 6.2

Original Text

-------------

 When a request is locally processed, the following procedures MUST be

   applied to create the associated answer, in addition to any

   additional procedures that MAY be discussed in the Diameter

   application defining the command:

   o  The same Hop-by-Hop Identifier in the request is used in the

      answer.

   o  The local host's identity is encoded in the Origin-Host AVP.

   o  The Destination-Host and Destination-Realm AVPs MUST NOT be

      present in the answer message.

Corrected Text

--------------

 When a request is locally processed, the following procedures MUST be

   applied to create the associated answer, in addition to any

   additional procedures that MAY be discussed in the Diameter

   application defining the command:

   o  The same Hop-by-Hop Identifier in the request is used in the

      answer.

   o  The local host's identity is encoded in the Origin-Host AVP.

   o  The local realm's identity is encoded in the Origin-Realm AVP.

   o  The Destination-Host and Destination-Realm AVPs MUST NOT be

      present in the answer message.

Notes

-----

Unlike Origin-Host AVP, it is not stated explicitly that Origin-Realm AVP MUST be encoded in the associated answer. While both these AVPs MUST be present in all Diameter messages according to their descriptions.

Instructions:

-------------

This erratum is currently posted as "Reported". If necessary, please

use "Reply All" to discuss whether it should be verified or

rejected. When a decision is reached, the verifying party

can log in to change the status and edit the report, if necessary.

--------------------------------------

RFC6733 (draft-ietf-dime-rfc3588bis-33)

--------------------------------------

Title               : Diameter Base Protocol

Publication Date    : October 2012

Author(s)           : V. Fajardo, Ed., J. Arkko, J. Loughney, G. Zorn, Ed.

Category            : PROPOSED STANDARD

Source              : Diameter Maintenance and Extensions

Area                : Operations and Management

Stream              : IETF

Verifying Party     : IESG

.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Benoit Claise <[email-masked]>
Date: Tue, 3 Jan 2017 12:23:48 +0100

Thanks Lionel.
This erratum has been verified.

Regards, Benoit
>
> This one is correct. It was missed. But, as said in the report, it is 
> just an omission in this part of the document, and it is clarified in 
> the section 6.4:
>
> *De :*AAA-DOCTORS [mailto:[email-masked]] *De la part 
> de* Benoit Claise
> *Envoyé :* lundi 19 décembre 2016 11:51
> *À :* [email-masked]; [email-masked]
> *Objet :* [AAA-DOCTORS] Fwd: [Technical Errata Reported] RFC6733 (4887)
>
> *Subject: *
> *Date: *
> *From: *
> *To: *
> [email-masked] <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>
>
> *CC: *
>
> 	
>
> [email-masked] <mailto:[email-masked]>, 
> [email-masked] <mailto:[email-masked]>, [email-masked] 
> <mailto:[email-masked]>
>
> Reported by: Mikhail Zaytsev<[email-masked]> <mailto:[email-masked]>
> Section: 6.2
> Original Text
> -------------